Documentation

na_ontap_job_schedule - Manage NetApp Ontap Job Schedule

New in version 2.6.

Synopsis

  • Create/Delete/Modify_minute job-schedules on ONTAP

Requirements

The below requirements are needed on the host that executes this module.

  • A physical or virtual clustered Data ONTAP system. The modules were developed with Clustered Data ONTAP 9.3
  • Ansible 2.6
  • netapp-lib (2017.10.30). Install using ‘pip install netapp-lib’
  • To enable http on the cluster you must run the following commands ‘set -privilege advanced;’ ‘system services web modify -http-enabled true;’

Parameters

Parameter Choices/Defaults Comments
hostname
required
The hostname or IP address of the ONTAP instance.
https
bool
    Choices:
  • no ←
  • yes
Enable and disabled https
job_minutes
The minute(s) of each hour when the job should be run. Job Manager cron scheduling minute. -1 represents all minutes and only supported for cron schedule create and modify. Range is [-1..59]
name
required
The name of the job-schedule to manage.
password
required
Password for the specified user.

aliases: pass
state
    Choices:
  • present ←
  • absent
Whether the specified job schedule should exist or not.
username
required
This can be a Cluster-scoped or SVM-scoped account, depending on whether a Cluster-level or SVM-level API is required. For more information, please read the documentation https://goo.gl/BRu78Z.

aliases: user

Notes

Note

  • The modules prefixed with na_ontap are built to support the ONTAP storage platform.

Examples

- name: Create Job
  na_ontap_job_schedule:
    state: present
    name: jobName
    job_minutes: jobMinutes
    hostname: "{{ netapp_hostname }}"
    username: "{{ netapp_username }}"
    password: "{{ netapp_password }}"
- name: Delete Job
  na_ontap_job_schedule:
    state: present
    name: jobName
    hostname: "{{ netapp_hostname }}"
    username: "{{ netapp_username }}"
    password: "{{ netapp_password }}"

Status

This module is flagged as preview which means that it is not guaranteed to have a backwards compatible interface.

Maintenance

This module is flagged as community which means that it is maintained by the Ansible Community. See Module Maintenance & Support for more info.

For a list of other modules that are also maintained by the Ansible Community, see here.

Author

Hint

If you notice any issues in this documentation you can edit this document to improve it.